gcc -o kjbench_gcc_unopt.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O1 -o kjbench_gcc_O1.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O2 -o kjbench_gcc_O2.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O3 -o kjbench_gcc_O3.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O3 -ffast-math -o kjbench_gcc_O3_fast.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O3 -ffast-math -march=core2 -o kjbench_gcc_O3_core.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O3 -ffast-math -march=core2 -msse -mfpmath=sse -o kjbench_gcc_O3_sse.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

gcc -O3 -ffast-math -march=core2 -msse2 -mfpmath=sse -o kjbench_gcc_O3_sse2.exe -D__forceinline=__inline kjbench.c
@if errorlevel 1 goto end

:end