@if "%1" == "2008" goto compile
@if "%1" == "2005" goto setpath
@echo No Visual Studio version specified! Please use
@echo     %0 2005   for Visual Studio 2005 / 8.0 / Compiler Version 14.x
@echo     %0 2008   for Visual Studio 2008 / 9.0 / Compiler Version 15.x
@goto fini

:setpath
@set OLDINCLUDE=%INCLUDE%
@set INCLUDE=%INCLUDE%;%VCINSTALLDIR%\PlatformSDK\Include;%VSINSTALLDIR%\PlatformSDK\Include
@set OLDLIB=%LIB%
@set LIB=%LIB%;%VCINSTALLDIR%\PlatformSDK\Lib;%VSINSTALLDIR%\PlatformSDK\Lib

:compile

cl /DWIN32 /DNDEBUG /D_CONSOLE /GF /FD /MT /GS- /W3 /c /TC kjbench.c
@if errorlevel 1 goto end
link /OUT:kjbench_vc%1_unopt.exe /INCREMENTAL:NO /MANIFEST:NO /SUBSYSTEM:CONSOLE /OPT:REF /OPT:ICF /MACHINE:X86 kjbench.obj
@if errorlevel 1 goto end

cl /Ox /Ob2 /Oi /Ot /Oy /GL /DWIN32 /DNDEBUG /D_CONSOLE /GF /FD /MT /GS- /fp:fast /W3 /c /TC kjbench.c
@if errorlevel 1 goto end
link /OUT:kjbench_vc%1_fpu.exe /INCREMENTAL:NO /MANIFEST:NO /SUBSYSTEM:CONSOLE /OPT:REF /OPT:ICF /LTCG /MACHINE:X86 kjbench.obj
@if errorlevel 1 goto end

cl /arch:SSE /Ox /Ob2 /Oi /Ot /Oy /GL /DWIN32 /DNDEBUG /D_CONSOLE /GF /FD /MT /GS- /fp:fast /W3 /c /TC kjbench.c
@if errorlevel 1 goto end
link /OUT:kjbench_vc%1_sse.exe /INCREMENTAL:NO /MANIFEST:NO /SUBSYSTEM:CONSOLE /OPT:REF /OPT:ICF /LTCG /MACHINE:X86 kjbench.obj
@if errorlevel 1 goto end

cl /arch:SSE2 /Ox /Ob2 /Oi /Ot /Oy /GL /DWIN32 /DNDEBUG /D_CONSOLE /GF /FD /MT /GS- /fp:fast /W3 /c /TC kjbench.c
@if errorlevel 1 goto end
link /OUT:kjbench_vc%1_sse2.exe /INCREMENTAL:NO /MANIFEST:NO /SUBSYSTEM:CONSOLE /OPT:REF /OPT:ICF /LTCG /MACHINE:X86 kjbench.obj
@if errorlevel 1 goto end

@del *.obj
@del *.idb
:end
@if "%1" == "2008" goto fini
@set INCLUDE=%OLDINCLUDE%
@set LIB=%OLDLIB%
:fini