import glob

test_order = []
tool_order = []
results = []

for line in open("run.log"):
    line = line.strip()
    if line.endswith(".exe"):
        tool = line.split("kjbench_")[-1][:-4]
    elif line.endswith("fps"):
        line = line[:-4].rsplit(' ', 1)
        test = line[0].strip()
        result = float(line[-1])
        try:
            y = tool_order.index(tool)
        except ValueError:
            tool_order.append(tool)
            results.append([])
            y = len(tool_order) - 1
        try:
            x = test_order.index(test)
        except ValueError:
            test_order.append(test)
            x = len(test_order) - 1
        while len(results[y]) <= x:
            results[y].append(0)
        results[y][x] = max(results[y][x], result)

print "\t" + "\t".join(test_order)
for tool, line in zip(tool_order, results):
    print tool + "\t" + "\t".join(map(str, line))
